[ 
https://issues.apache.org/jira/browse/SENTRY-2136?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
 ]

Sergio Peña updated SENTRY-2136:
--------------------------------
    Resolution: Fixed
        Status: Resolved  (was: Patch Available)

Thanks [~liamsargent] for the patch. I committed to master.

> Bump metrics dependency to new namespace and version used by the rest of 
> Hadoop
> -------------------------------------------------------------------------------
>
>                 Key: SENTRY-2136
>                 URL: https://issues.apache.org/jira/browse/SENTRY-2136
>             Project: Sentry
>          Issue Type: Bug
>          Components: Sentry
>    Affects Versions: 2.0.0
>         Environment: Sentry 2.1.0-SNAPSHOT
> building on Mac OS X 10.13.1, Java 1.8u161
>            Reporter: Liam Sargent
>            Assignee: Liam Sargent
>            Priority: Minor
>             Fix For: 2.1.0
>
>         Attachments: SENTRY-2136.001.patch
>
>   Original Estimate: 24h
>  Remaining Estimate: 24h
>
> Sentry currently specifies the _com.codahale.metrics_ package, version 3.0.2, 
> in the top level pom.xml. When building Sentry, the Hadoop dependencies 
> specifiy version 3.2.2, which changed the maven repo namespace to 
> _io.dropwizard.metrics._ This conflict commonly causes test failures and 
> classpath issues.
> After reaching out on the mailing list, there appears to be no legitimate 
> reason to be using the outdated (3.0.2) version of metrics, and we should be 
> able to safely bump to _io.dropwizard.metrics_ 3.2.2 to resolve the 
> conflicting dependencies with the greater Hadoop ecosystem.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Reply via email to